#1374 4.65 Do not plot points when linewidth is set to 0 for linepoints

closed-fixed
nobody
None
5
2015-03-23
2014-04-08
leoking
No

4.65 gp465-win32-mingw-rc2.exe

I am using linepoints and set its line width to 0 to draw only points. But I found a serious problem: only filled point types can be seen. There are only 5 such visible types: 5, 7, 9, 11, 13. All other point types can not be seen when the linewidth is set to be very small.

Here is the example code

 set linetype 1 lc rgb "black" pt 0
 set linetype 2 lc rgb "blue" lw 0 pt 7
 set linetype 3 lc rgb "red" lw 0 pt 8

 set sample 20
 plot for [i=1:10] (x-i) with linespoints lt (1 + i%3) title "".i

The red points can NOT be seen. Only blue points are shown.

Discussion

  • leoking
    leoking
    2014-04-08

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -3,12 +3,13 @@
     I am using linepoints and set its line width to 0 to draw only points. But I found a serious problem: only filled point types can be seen. There are only 5 such visible types: 5, 7, 9, 11, 13. All other point types can not be seen when the linewidth is set to be very small.
    
     Here is the example code
    -~~~~~~
    - set linetype 1 lc rgb "black" pt 0
    - set linetype 2 lc rgb "blue" lw 0 pt 7
    - set linetype 3 lc rgb "red" lw 0 pt 8
    -~~~~~~
    - set sample 20
    - plot for [i=1:10] (x-i) with linespoints lt (1 + i%3) title "".i
    +
    +     set linetype 1 lc rgb "black" pt 0
    +     set linetype 2 lc rgb "blue" lw 0 pt 7
    +     set linetype 3 lc rgb "red" lw 0 pt 8
    +     
    +     set sample 20
    +     plot for [i=1:10] (x-i) with linespoints lt (1 + i%3) title "".i
    +
    
     The red points can be seen. Only blue points are shown.
    
     
  • leoking
    leoking
    2014-04-08

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -12,4 +12,4 @@
          plot for [i=1:10] (x-i) with linespoints lt (1 + i%3) title "".i
    
    -The red points can be seen. Only blue points are shown.
    +The red points can NOT be seen. Only blue points are shown.
    
     
  • Ethan Merritt
    Ethan Merritt
    2014-04-08

    This will be fixed in version 5 but I do not have a solution for 4.6 other than to point out that even with this limitation you can define a huge number of distinct linetypes. See
    http://gnuplot.sourceforge.net/demo/dashcolor.html

    The version 5 solution will probably be

      set linetype 1 linetype nodraw point pointtype 6
      plot ... with linespoints linetype 1
    

    Version 4.6 does have a LT_NODRAW attribute internally, but unfortunately it is applied to both lines and points so invoking it doesn't help for your particular request.

     
  • Ethan Merritt
    Ethan Merritt
    2014-04-10

    • status: open --> pending-fixed
     
  • Ethan Merritt
    Ethan Merritt
    2014-04-10

    This is now in CVS for both versions 4.6 and 5

     
  • Ethan Merritt
    Ethan Merritt
    2014-04-23

    • status: pending-fixed --> closed-fixed